org.eclipse.jetty.util

## Class Utf8StringBuffer

- java.lang.Object
- - org.eclipse.jetty.util.Utf8Appendable
  - - org.eclipse.jetty.util.Utf8StringBuffer

-     public class Utf8StringBuffer
      extends Utf8Appendable

  UTF-8 StringBuffer. This class wraps a standard `StringBuffer` and provides methods to append UTF-8 encoded bytes, that are converted into characters. This class is stateful and up to 4 calls to `Utf8Appendable.append(byte)` may be needed before state a character is appended to the string buffer. The UTF-8 decoding is done by this class and no additional buffers or Readers are used. The UTF-8 code was inspired by http://bjoern.hoehrmann.de/utf-8/decoder/dfa/

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.jetty.util.Utf8Appendable

      `Utf8Appendable.NotUtf8Exception`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.jetty.util.Utf8Appendable

      `_appendable, _state, LOG, REPLACEMENT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Utf8StringBuffer()`
    `Utf8StringBuffer(int capacity)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `StringBuffer` | `getStringBuffer()`
    `int` | `length()`
    `void` | `reset()`
    `String` | `toString()`

    - ### Methods inherited from class org.eclipse.jetty.util.Utf8Appendable

      `append, append, append, appendByte, checkState, isUtf8SequenceComplete, toReplacedString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Utf8StringBuffer

          public Utf8StringBuffer()

    - #### Utf8StringBuffer

          public Utf8StringBuffer(int capacity)

  - ### Method Detail

    - #### length

          public int length()

      Specified by:
        `length` in class `Utf8Appendable`

    - #### reset

          public void reset()

      Overrides:
        `reset` in class `Utf8Appendable`

    - #### getStringBuffer

          public StringBuffer getStringBuffer()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 1995-2015 Mort Bay Consulting. All Rights Reserved.